Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Inventory

  • List inventory adjustment reasons

  • Create inventory adjustment reason

  • Delete inventory adjustment reason

  • Restore inventory adjustment reason

  • Retrieve inventory adjustment reason

  • Update inventory adjustment reason

  • Update inventory adjustment

  • Retrieve inventory adjustment

  • Batch change inventory

  • Batch retrieve inventory changes

  • Batch retrieve inventory counts

  • Retrieve inventory physical count

  • Retrieve inventory count

  • Webhooks

  • inventory.count.updated

<- Inventory API

Inventory API

All versions ->

Create inventory adjustment reasonBeta

POST

 /v2/inventory/adjustment-reasons/create

Creates a custom inventory adjustment reason.

Permissions:INVENTORY_WRITE
Try in API Explorer
Link to section

Request body

Example code

Link to section

idempotency_key

string

Required

A client-supplied, universally unique identifier to make this CreateInventoryAdjustmentReason request idempotent.

Min Length
1
Max Length
128
Link to section

adjustment_reason

Required

The custom inventory adjustment reason to create. Only custom adjustment reasons can be created.

Link to section

Response fields

Link to section

errors

Errors encountered when the request fails.

Link to section

adjustment_reason

The successfully created inventory adjustment reason.

Link to section

Examples

All versions ->

POST /v2/inventory/adjustment-reasons/create
curl https://connect.squareup.com/v2/inventory/adjustment-reasons/create \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "idempotency_key": "27b2f2b1-1c2a-4b9e-8f3a-0d9c3a1e5b47", "adjustment_reason": { "id": { "type": "CUSTOM" }, "name": "Donated to charity", "direction": "DECREASE" } }'

Response JSON

{ "errors": [], "adjustment_reason": { "id": { "type": "CUSTOM", "custom_reason_id": "R5BX3PDCZ6EXAMPLE" }, "name": "Donated to charity", "direction": "DECREASE", "created_at": "2026-07-15T18:24:31.000Z", "updated_at": "2026-07-15T18:24:31.000Z", "is_deleted": false } }